<?php

namespace ModulesGarden\ProxmoxAddon\App\UI\ServerDetail\Pages;

use ModulesGarden\ProxmoxAddon as main;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\TabsWidget\TabsWidget;

/**
 *
 */
class ServerDetailContainer extends TabsWidget implements AdminArea
{

    use main\App\Services\BaseService;
    protected $id = 'serverDetailContainer';
    protected $name = 'serverDetailContainer';
    protected $title = 'serverDetailContainer';
    protected $vueComponent = true;

    public function initContent()
    {
        $this->setServerId($this->getRequestValue('id'));
        $this->setRawTitle(main\Core\ServiceLocator::call('lang')->absoluteT("Server:") . " " . $this->getServer()->name);
        $this->addElement(new main\App\UI\Vms\Pages\VmsDataTableRaw());
        $this->addElement(new main\App\UI\Cluster\Pages\ClusterDataTable());
        $this->addElement(new main\App\UI\VmCleaner\Pages\VmCleanerDataTable());
        $this->addElement(new main\App\UI\Templates\Pages\TemplatesDataTable());
        $this->addElement(new main\App\UI\ServerSettings\Forms\ServerSettingsForm());
        $this->addElement(new main\App\UI\ServerGroup\Pages\ServerGroupDataTable());

    }
}
